package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "inspection_detail")
public class InspectionDetail {
    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    private Boolean deleted;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * inspection_report主键
     */
    @Column(name = "inspection_report_id", nullable = false)
    private Integer inspectionReportId;

    /**
     * 检查报告单id
     */
    @Column(name = "report_id")
    private String reportId;

    /**
     * 申请科室名称
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 报告医生姓名
     */
    @Column(name = "report_doctor_name")
    private String reportDoctorName;

    /**
     * 检查部位
     */
    @Column(name = "check_parts")
    private String checkParts;

    /**
     * 检查所见
     */
    @Column(name = "examination")
    private String examination;

    /**
     * 诊断结果
     */
    @Column(name = "diagnosis")
    private String diagnosis;

    /**
     * 检查医生（技师）姓名
     */
    @Column(name = "check_doctor_name")
    private String checkDoctorName;

    /**
     * 检查日期（YYYY-MM-DD HH:MM:SS）
     */
    @Column(name = "examination_date")
    private Date examinationDate;

    /**
     * 审核日期
     */
    @Column(name = "verify_date")
    private Date verifyDate;

    /**
     * 审核医生
     */
    @Column(name = "verify_doc_name")
    private String verifyDocName;

    /**
     * 开单医生
     */
    @Column(name = "app_doc_name")
    private String appDocName;

    /**
     * HIS系统就诊人Id
     */
    @Column(name = "his_patient_id", nullable = false)
    private String hisPatientId;

    /**
     * 医院Id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getInspectionReportId() {
        return inspectionReportId;
    }

    public void setInspectionReportId(Integer inspectionReportId) {
        this.inspectionReportId = inspectionReportId;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getReportDoctorName() {
        return reportDoctorName;
    }

    public void setReportDoctorName(String reportDoctorName) {
        this.reportDoctorName = reportDoctorName;
    }

    public String getCheckParts() {
        return checkParts;
    }

    public void setCheckParts(String checkParts) {
        this.checkParts = checkParts;
    }

    public String getExamination() {
        return examination;
    }

    public void setExamination(String examination) {
        this.examination = examination;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getCheckDoctorName() {
        return checkDoctorName;
    }

    public void setCheckDoctorName(String checkDoctorName) {
        this.checkDoctorName = checkDoctorName;
    }

    public Date getExaminationDate() {
        return examinationDate;
    }

    public void setExaminationDate(Date examinationDate) {
        this.examinationDate = examinationDate;
    }

    public Date getVerifyDate() {
        return verifyDate;
    }

    public void setVerifyDate(Date verifyDate) {
        this.verifyDate = verifyDate;
    }

    public String getVerifyDocName() {
        return verifyDocName;
    }

    public void setVerifyDocName(String verifyDocName) {
        this.verifyDocName = verifyDocName;
    }

    public String getAppDocName() {
        return appDocName;
    }

    public void setAppDocName(String appDocName) {
        this.appDocName = appDocName;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }
}
